From: "Aric Belsito" <lluixhi@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/musl:master commit in: dev-lang/rust/
Date: Tue, 6 Feb 2018 01:11:57 +0000 (UTC) [thread overview]
Message-ID: <1517587158.4a89d331496affd51a02d11bf5277a9a38910162.lluixhi@gentoo> (raw)
commit: 4a89d331496affd51a02d11bf5277a9a38910162
Author: stefson <herrtimson <AT> yahoo <DOT> de>
AuthorDate: Fri Feb 2 15:59:18 2018 +0000
Commit: Aric Belsito <lluixhi <AT> gmail <DOT> com>
CommitDate: Fri Feb 2 15:59:18 2018 +0000
URL: https://gitweb.gentoo.org/proj/musl.git/commit/?id=4a89d331
dev-lang/rust: attempt to make the build system to honor MAKEOPTS from make.conf
dev-lang/rust/rust-1.23.0-r1.ebuild | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/dev-lang/rust/rust-1.23.0-r1.ebuild b/dev-lang/rust/rust-1.23.0-r1.ebuild
index 5d7184a..c5b5ff4 100644
--- a/dev-lang/rust/rust-1.23.0-r1.ebuild
+++ b/dev-lang/rust/rust-1.23.0-r1.ebuild
@@ -6,7 +6,7 @@ EAPI=6
LLVM_MAX_SLOT=4
PYTHON_COMPAT=( python2_7 )
-inherit python-any-r1 versionator toolchain-funcs llvm
+inherit multiprocessing python-any-r1 versionator toolchain-funcs llvm
if [[ ${PV} = *beta* ]]; then
betaver=${PV//*beta}
@@ -189,7 +189,7 @@ src_configure() {
}
src_compile() {
- ./x.py build || die
+ ./x.py build -j$(makeopts_jobs) || die
}
src_install() {
next reply other threads:[~2018-02-06 1:12 UTC|newest]
Thread overview: 36+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-02-06 1:11 Aric Belsito [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-01-14 19:40 [gentoo-commits] proj/musl:master commit in: dev-lang/rust/ Sam James
2024-01-13 16:40 Sam James
2024-01-13 16:37 Sam James
2024-01-13 16:37 Sam James
2022-06-10 20:48 Jory Pratt
2022-04-20 16:58 Jory Pratt
2022-01-21 4:29 Jory Pratt
2022-01-21 4:28 Jory Pratt
2022-01-18 1:10 Jory Pratt
2021-04-30 15:10 Jory Pratt
2021-04-29 20:13 Dave Hughes
2019-11-06 22:58 Jory Pratt
2018-08-18 9:51 Anthony G. Basile
2018-06-28 3:01 Aric Belsito
2018-06-27 17:26 Aric Belsito
2018-06-19 22:03 Aric Belsito
2018-06-19 0:47 Aric Belsito
2018-06-18 21:57 Aric Belsito
2018-06-16 18:42 Aric Belsito
2018-06-16 17:16 Aric Belsito
2018-05-11 19:50 Aric Belsito
2018-04-27 10:34 Anthony G. Basile
2018-04-15 19:01 Anthony G. Basile
2018-02-06 1:11 Aric Belsito
2018-02-06 1:11 Aric Belsito
2018-02-06 1:11 Aric Belsito
2018-01-31 19:14 Aric Belsito
2018-01-31 18:58 Aric Belsito
2018-01-31 18:40 Aric Belsito
2018-01-29 19:46 Aric Belsito
2018-01-03 18:39 Aric Belsito
2017-12-15 3:18 Aric Belsito
2017-12-14 18:06 Aric Belsito
2017-12-14 5:17 Aric Belsito
2017-12-14 5:10 Aric Belsito
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1517587158.4a89d331496affd51a02d11bf5277a9a38910162.lluixhi@gentoo \
--to=lluixhi@gmail.com \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox